Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QSchemaFactory

    java.lang.Object
      |
      +--com.jxml.quick.QSchemaFactory

Direct Known Subclasses:
  Activationprocess, AppDataSchema, CommonReply, Create, CreateApplication, CreateCommonReply, CreateConfig, CreateEsdo, CreateJxu, CreateJxuc, CreateParm, CreatePrivate, CreateProperties, CreateQconfig, CreateRE, CreateResponses, CreateUtil, Deactivate, Display, Process, Process, Process, Registrationprocess, Reply, Reply, Reply

public abstract class QSchemaFactory
extends Object

Constructor Summary
`QSchemaFactory()`

Method Summary
`static QDoc` | `clCreate(String className, ClassLoader cl)`
`abstract QDoc` | `create()`
`static QDoc` | `create(String className)`
`static QDoc` | `create(String className, String schemaName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QSchemaFactory

    public QSchemaFactory()

Method Detail

### create

    public abstract QDoc create()
                         throws SAXException,
                                QE,
                                QPE,
                                ClassNotFoundException,
                                InstantiationException,
                                IllegalAccessException

### create

    public static QDoc create(String className)
                       throws SAXException,
                              QE,
                              QPE,
                              ClassNotFoundException,
                              InstantiationException,
                              IllegalAccessException

### clCreate

    public static QDoc clCreate(String className,
                                ClassLoader cl)
                         throws SAXException,
                                QE,
                                QPE,
                                ClassNotFoundException,
                                InstantiationException,
                                IllegalAccessException

### create

    public static QDoc create(String className,
                              String schemaName)
                       throws SAXException,
                              QE,
                              QPE,
                              ClassNotFoundException,
                              InstantiationException,
                              IllegalAccessException,
                              IOException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD